Update an SVM peer relationship
Updates an SVM peer relationship to modify its attributes or change its state. Use this endpoint when you need to adjust the configuration or status of an existing peer connection.
HTTP method and endpoint
PATCH /svm/peers/{uuid}
Introduced in
ONTAP 9.6
Related ONTAP commands
-
vserver peer modify
Examples
The following examples show how to update an SVM peer relationship. The input parameter 'name' refers to the local name of the peer SVM.
-
Accepts an SVM peer relationship
PATCH "/api/svm/peers/d3268a74-ee76-11e8-a9bb-005056ac6dc9" '{"state":"peered"}'
-
Updates the local name of an SVM peer relationship
PATCH "/api/svm/peers/d3268a74-ee76-11e8-a9bb-005056ac6dc9" '{"name":"vs2"}'
-
Suspends an SVM peer relationship using force flag
PATCH "/api/svm/peers/d3268a74-ee76-11e8-a9bb-005056ac6dc9" '{"state":"suspended", "force": "true"}'
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
uuid |
string |
path |
True |
SVM peer relationship UUID
|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
Request Body
| Name | Type | Description |
|---|---|---|
applications |
array[string] |
A list of applications for an SVM peer relation. |
force |
boolean |
Use this to suspend, resume or delete the SVM peer relationship even if the remote cluster is not accessible due to, for example, network connectivity issues. |
state |
string |
SVM peering state. To accept a pending SVM peer request, PATCH the state to "peered". To reject a pending SVM peer request, PATCH the state to "rejected". To suspend a peered SVM peer relation, PATCH the state to "suspended". To resume a suspended SVM peer relation, PATCH the state to "peered". The states "initiated", "pending", and "initializing" are system-generated and cannot be used for PATCH. |
uuid |
string |
SVM peer relation UUID |
Example request
{
"applications": [
"snapmirror",
"lun_copy"
],
"state": "peered",
"uuid": "string"
}
Response
Status: 202, Accepted
Error
Status: Default
ONTAP Error Response Codes
| Error codes | Description |
|---|---|
13434889 |
Internal error. Wait and retry. |
26345575 |
The specified peer cluster name and peer cluster UUID do not match. |
26345576 |
Given peer state is invalid. |
26345577 |
One of the following is required: applications, state, or name. |
26345578 |
Internal error. Unable to retrieve local or peer SVM name. |
26345579 |
The specified field is invalid. |
26345581 |
Peer cluster name could not be retrieved or validated. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
cluster
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
svm
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
peer
Details for a peer SVM object.
| Name | Type | Description |
|---|---|---|
cluster |
||
svm |
svm
Local SVM details
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
svm_peer
An SVM peer relation object.
| Name | Type | Description |
|---|---|---|
applications |
array[string] |
A list of applications for an SVM peer relation. |
force |
boolean |
Use this to suspend, resume or delete the SVM peer relationship even if the remote cluster is not accessible due to, for example, network connectivity issues. |
state |
string |
SVM peering state. To accept a pending SVM peer request, PATCH the state to "peered". To reject a pending SVM peer request, PATCH the state to "rejected". To suspend a peered SVM peer relation, PATCH the state to "suspended". To resume a suspended SVM peer relation, PATCH the state to "peered". The states "initiated", "pending", and "initializing" are system-generated and cannot be used for PATCH. |
uuid |
string |
SVM peer relation UUID |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |